from difflib import SequenceMatcher
import bitia
import bitia.config as bconfig
import bitia.__main__


def test_sanity(capsys):
    version = bitia.version()
    assert len(version) >= 3, version


def test_run_simple(capsys):
    # set the plain-text mode.
    bconfig.set_config("plain", True)
    bitia.__main__.run_user_input("ls -ltr /")
    captured = capsys.readouterr()  # reset the internal buffer.
    l1 = captured.out
    bitia.__main__.run_user_input("ls -ltr /", rerun=True)
    captured = capsys.readouterr()
    l2 = captured.out
    assert SequenceMatcher(a=l1, b=l2).ratio() > 0.9
